Task properties are reverted when doing a task update from firefox.

2013-10-14 10:33 - Mehmet Soyturk

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 2.3.1

Description

We many unintended task property changes (the changes of one user is unintendedly reverted by another user).

To reproduce:

Open an issue from firefox.

Open the same issue in another tab / browser / computer.

From the second tab, update task properties that are selected from dropdown lists, such as "Status", "Priority", "Assignee" or "%

Done".

Hit F5 from the first tab. You will see that the task properties were updated successfully.

Then, still in the second tab, click the "Update" link. You will see that still the old values are selected. Add some message and

send the form, and the properties are now reverted.

It seems that Firefox, even after a page refresh, tries to remember the options selected by the user. To avoid this, a ctrl-F5 is

needed. See also http://stackoverflow.com/questions/1479233/why-doesnt-firefox-show-the-correct-default-select-option

Related issues:

Related to Redmine - Defect #14621: AJAX call on the issue form resets data e... Closed

Has duplicate Redmine - Defect #18011: Firefox: Value of a field not updated ... Closed

History

#1 - 2013-10-14 10:37 - Mehmet Soyturk

We many unintended task property changes

 We get many ...

Reproduced with Firefox 24.0.

#2 - 2013-10-14 10:39 - Toshi MARUYAMA

- Related to Defect #14621: AJAX call on the issue form resets data entered during the request added

#3 - 2013-10-14 10:46 - Toshi MARUYAMA

Could you reproduce on trunk r12220?

I think #14621 fixed this issue.

#4 - 2013-10-14 11:00 - Mehmet Soyturk

I don't know. I can reproduce it with our internal redmine install (for which I'm just a user and I don't know its version number), and from 

http://demo.redmine.org (see http://demo.redmine.org/issues/25923).

#5 - 2013-10-14 11:35 - Mehmet Soyturk

But looking at the code, I don't think that #14621 fixes this issue. r12166 depends on the fact that updateIssueFrom is called when a select is

modified. With this bug, select is not modified at all, and no updateIssueFrom is called.

#6 - 2013-10-20 11:41 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix
Firefox preserves the selected form elements when hitting F5 by design. So when you hit F5 from the first tab, the old values that were present on the

issue form are preserved. Use Ctrl+F5 instead to reload the form without preserving selected values.

#7 - 2014-10-31 06:09 - Toshi MARUYAMA

- Has duplicate Defect #18011: Firefox: Value of a field not updated properly when hitting F5 added

#8 - 2019-02-26 16:53 - Mehmet Soyturk

- File _edit.html.erb.patch added

Hi.

I was going to share our patch that fixes the issue, but couldn't because Redmine did not allow me to do so at that time (because the task was

closed). Let me retry.

We have used the patch for 5 years without any issue. With a recent RedMine upgrade we have lost that change and the issue reappeared.

Kind regards.

Files

_edit.html.erb.patch 517 Bytes 2019-02-26 Mehmet Soyturk
